TRANSMISSION-DAEMON(1)

NAME
transmission-daemon - a bittorrent client

SYNOPSIS
transmission-daemon -h
transmission-daemon [-a (+|-)x.x.x.x[/x],...] [-b | -B] [-f] [-g directory] [-h] [-p port] [-t | -T] [-u username] [-v password] [-w download-dir]

DESCRIPTION
transmission-daemon is a daemon-based Transmission session that can be controlled via RPC commands from transmission's web interface or transmission-remote(1).

OPTIONS

-a --allowed x.x.x.x,...
    Allow RPC accecss to a comma-delimited whitelist of IP addresses. Wildcards can be specified in an address by using '*'. Default: "127.0.0.1" Example: "127.0.0.*,192.168.1.*"

-b --blocklist
    Enable peer blocklists. Transmission understands the bluetack blocklist file format. New blocklists can be added by copying them into the config-dir's "blocklists" subdirectory.

-B --no-blocklist
    Disble blocklists.

-f --foreground
    Run in the foreground and print errors to stderr.

-g --config-dir directory
    Where to look for .torrent and config files on startup.

-h --help
    Print command-line option descriptions.

-p --port port
    Port to open and listen for RPC requests on. Default: 9091

-t --auth
    Require clients to authenticate themselves. This doesn't do much good unless username and password are also set.

-T --no-auth
    Don't require authentication from clients.

-u --username username
    Used for client authentication.

-v --password password
    Used for client authentication.

-w --download-dir
    Where to store downloaded data.

ENVIRONMENT

TRANSMISSION_HOME
    Sets the default config-dir.

FILES
~/.config/transmission-daemon
    The config-dir used when neither [TRANSMISSION_HOME] nor [-g] is specified.

AUTHORS
-nosplit Charles Kerr, Josh Elsasser, Eric Petit, and Mitchell Livingston.

SEE ALSO
transmissioncli(1), transmission(1), transmission-remote(1)

http://www.transmissionbt.com/